**Full name**: projects.locations.processors.processorVersions.get

Gets a processor version detail.

### HTTP request

Choose a location:
<button value="global" default="">global</button> <button value="us">us</button> <button value="eu">eu</button> <button value="asia-south1">asia-south1</button> <button value="asia-southeast1">asia-southeast1</button> <button value="northamerica-northeast1">northamerica-northeast1</button> <button value="australia-southeast1">australia-southeast1</button> <button value="europe-west2">europe-west2</button> <button value="europe-west3">europe-west3</button>   
`GET https://documentai.googleapis.com/v1beta3/{name}`

<br />

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The processor resource name. It takes the form `projects/{project}/locations/{location}/processors/{processor}/processorVersions/{processorversion}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `documentai.processorVersions.get` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/document-ai/docs/reference/rest/Shared.Types/ProcessorVersion`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `documentai.processorVersions.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).